Public Member Functions | Public Attributes | List of all members
libqxp::Color Struct Reference

`#include <QXPTypes.h>`

## Public Member Functions
| Color ()
| Color (uint8_t r, uint8_t g, uint8_t b)
librevenge::RVNGString | toString () const
Color | applyShade (double shade) const

## Public Attributes
uint8_t | red
uint8_t | green
uint8_t | blue

## Constructor & Destructor Documentation

## ◆ Color() [1/2]

libqxp::Color::Color | ( |  | ) |
| inline

Referenced by applyShade().

## ◆ Color() [2/2]

libqxp::Color::Color | ( | uint8_t | r,
|  | uint8_t | g,
|  | uint8_t | b
| ) |  |
| inline

## Member Function Documentation

## ◆ applyShade()

Color libqxp::Color::applyShade | ( | double | shade | ) | const

Referenced by libqxp::QXP1Parser::parseCharFormat(), libqxp::QXP33Parser::parseCharFormat(), libqxp::QXP4Parser::parseCharFormat(), libqxp::QXP1Parser::parseObject(), libqxp::QXP33Parser::parseObjectHeader(), libqxp::QXP4Parser::parseObjectHeader(), libqxp::QXP33Parser::readFrame(), libqxp::QXP4Parser::readFrame(), libqxp::QXPParser::readGradient(), and libqxp::QXPParser::readParagraphRule().

## ◆ toString()

librevenge::RVNGString libqxp::Color::toString | ( |  | ) | const

## Member Data Documentation

## ◆ blue

uint8_t libqxp::Color::blue

Referenced by applyShade(), libqxp::QXP4Parser::parseColor(), libqxp::QXP33Parser::parseColors(), and toString().

## ◆ green

uint8_t libqxp::Color::green

Referenced by applyShade(), libqxp::QXP4Parser::parseColor(), libqxp::QXP33Parser::parseColors(), and toString().

## ◆ red

uint8_t libqxp::Color::red

Referenced by applyShade(), libqxp::QXP4Parser::parseColor(), libqxp::QXP33Parser::parseColors(), and toString().

The documentation for this struct was generated from the following files:

- QXPTypes.h
- QXPTypes.cpp